<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$tempTitle = empty($_POST['tempTitle']) ? '' : insql($_POST['tempTitle']);
$tempContent = empty($_POST['tempContent']) ? '' : insql($_POST['tempContent']);
preg_match('/^.{1,255}$/', $tempTitle) or die("名称：不能为空/不超过80个汉字！");
preg_match('/^[\s\S]{1,65535}$/', $tempContent) or die("内容：不能为空/不超过10000个字符！");
if ($id) {
    $query = "UPDATE `${cfg_dbprefix}gg_template` SET title='${tempTitle}',content='${tempContent}' WHERE id=$id;";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $nxsql->inLog($title . $id);
    exit('2');
} else {
    $query = "INSERT INTO `${cfg_dbprefix}gg_template` (title,content,admin_id,lb_id) VALUES ('${tempTitle}','${tempContent}','${adminID}','${adminLBID}');";
    $nxsql->query($query);
    $nxsql->errno && die('更新数据库发生错误： (' . $nxsql->errno . ') ' . $nxsql->error);
    $nxsql->inLog($title . $tempTitle);
    exit('1');
}